update a team
curl --request PUT \
--url https://api.orgnise.in/teams/{team_slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
'import requests
url = "https://api.orgnise.in/teams/{team_slug}"
payload = {
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Engineering Team',
description: 'A team for the engineering department.',
slug: 'engineering'
})
};
fetch('https://api.orgnise.in/teams/{team_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"logo": null,
"description": "<string>",
"membersCount": 123,
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"inviteCode": "<string>",
"billingCycleStart": 123,
"usage": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"limit": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"role": "<unknown>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}teams
update a team
Update a team.
PUT
/
teams
/
{team_slug}
update a team
Authorizations
Default authentication mechanism
Path Parameters
The slug of the team.
Body
application/json
Response
The updated team
The unique ID of the team.
The name of the team.
The logo of the team.
The description of the team.
Maximum string length:
120The members count of the team.
The meta of the team.
Show child attributes
Show child attributes
The invite code of the team.
Maximum string length:
24The plan of the team.
Available options:
free, pro, business, enterprise The date and time when the billing cycle starts for the team.
The usage of the resource of a team.
Show child attributes
Show child attributes
The limit of the team resources.
Show child attributes
Show child attributes
The date and time when the team was created.
The date and time when the team was last updated.
The role of the authenticated user in the team.
Was this page helpful?
⌘I